package com.ym.mec.auth.service;

import com.ym.mec.auth.api.entity.SysRole;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysRoleService extends BaseService<Integer, SysRole> {

    /**
     * 根据userId查询角色列表
     * @param userId 用户编号
     * @return
     */
    List<SysRole> findRoleByUserId(Integer userId);

    /**
     * 根据角色标识查询角色
     * @param code
     * @return
     */
    SysRole findRoleByCode(String code);
}