package com.ym.mec.web.dal.utilEntity;

import com.ym.mec.web.dal.enums.UserGenderEnum;
import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

public class StudentApplyDetailUtilEntity {

    @ApiModelProperty(value = "学生姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentsName;

    /** 当前所在年级 */
    @ApiModelProperty(value = "当前所在年级",required = false)
    private String currentGrade;

    /** 当前所在班级 */
    @ApiModelProperty(value = "当前所在班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;

    @ApiModelProperty(value = "专业名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "家长电话",required = false)
    private String parentsPhone;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }
}
