package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.StudentRegistration;
import com.ym.mec.web.dal.page.StudentRegistrationQueryInfo;
import com.ym.mec.web.dal.utilEntity.StudentApplyDetailUtilEntity;

public interface StudentRegistrationService extends BaseService<Long, StudentRegistration> {

    /**
     * 获取乐团学员报名详情
     * @param queryInfo
     * @return
     */
    PageInfo<StudentApplyDetailUtilEntity> queryStudentDetailPage(StudentRegistrationQueryInfo queryInfo);

    /**
     * 批量调剂
     * @param userId
     * @param subId
     * @return
     */
    boolean batchUpdateSubject(String userId, Integer subId);
}