package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.ClassGroupDao;
import com.ym.mec.web.dal.entity.ClassGroup;
import com.ym.mec.web.service.ClassGroupService;

@Service
public class ClassGroupServiceImpl extends BaseServiceImpl<Integer, ClassGroup>  implements ClassGroupService {
	
	@Autowired
	private ClassGroupDao classGroupDao;

	@Override
	public BaseDAO<Integer, ClassGroup> getDAO() {
		return classGroupDao;
	}
	
}