package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.GoodsCategoryDao;
import com.ym.mec.web.dal.entity.GoodsCategory;
import com.ym.mec.web.service.GoodsCategoryService;

@Service
public class GoodsCategoryServiceImpl extends BaseServiceImpl<Integer, GoodsCategory>  implements GoodsCategoryService {
	
	@Autowired
	private GoodsCategoryDao goodsCategoryDao;

	@Override
	public BaseDAO<Integer, GoodsCategory> getDAO() {
		return goodsCategoryDao;
	}
	
}