package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.MusicGroupDao;
import com.ym.mec.web.dal.entity.MusicGroup;
import com.ym.mec.web.service.MusicGroupService;

@Service
public class MusicGroupServiceImpl extends BaseServiceImpl<String, MusicGroup>  implements MusicGroupService {
	
	@Autowired
	private MusicGroupDao musicGroupDao;

	@Override
	public BaseDAO<String, MusicGroup> getDAO() {
		return musicGroupDao;
	}
	
}