package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.SubjectDao;
import com.ym.mec.web.dal.entity.Subject;
import com.ym.mec.web.service.SubjectService;

import java.util.List;

@Service
public class SubjectServiceImpl extends BaseServiceImpl<Integer, Subject>  implements SubjectService {
	
	@Autowired
	private SubjectDao subjectDao;

	@Override
	public BaseDAO<Integer, Subject> getDAO() {
		return subjectDao;
	}

	@Override
	public List<Subject> findSubByMusicGroupId(Integer musicGroupId) {
		return subjectDao.findSubByMusicGroupId(musicGroupId);
	}

	@Override
	public List<Subject> findSubByChargeType(Integer chargeTypeId) {
		return subjectDao.findSubByChargeType(chargeTypeId);
	}
}