package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(class_group):
 */
public class ClassGroup {

	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private String subjectId;
	
	/** 班级名称 */
	@ApiModelProperty(value = "班级名称",required = false)
	private String name;
	
	/** 学生数 */
	@ApiModelProperty(value = "学生数量",required = false)
	private Integer studentNum;
	
	/** 助教 */
	@ApiModelProperty(value = "助教",required = false)
	private Integer assistantTeacherId;
	
	/** 主教 */
	@ApiModelProperty(value = "主教",required = false)
	private Integer mainTeacherId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 班级类型(普通班级、合奏班级) */
	@ApiModelProperty(value = "班级类型(普通班级、合奏班级)",required = false)
	private ClassGroupTypeEnum type;
	
	/** 教师课酬 */
	@ApiModelProperty(value = "教师课酬",required = false)
	private long teacherSalary;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setSubjectId(String subjectId){
		this.subjectId = subjectId;
	}
	
	public String getSubjectId(){
		return this.subjectId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setStudentNum(Integer studentNum){
		this.studentNum = studentNum;
	}
	
	public Integer getStudentNum(){
		return this.studentNum;
	}
			
	public void setAssistantTeacherId(Integer assistantTeacherId){
		this.assistantTeacherId = assistantTeacherId;
	}
	
	public Integer getAssistantTeacherId(){
		return this.assistantTeacherId;
	}
			
	public void setMainTeacherId(Integer mainTeacherId){
		this.mainTeacherId = mainTeacherId;
	}
	
	public Integer getMainTeacherId(){
		return this.mainTeacherId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public ClassGroupTypeEnum getType() {
		return type;
	}

	public void setType(ClassGroupTypeEnum type) {
		this.type = type;
	}

	public void setTeacherSalary(long teacherSalary){
		this.teacherSalary = teacherSalary;
	}
	
	public long getTeacherSalary(){
		return this.teacherSalary;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
