package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_type):
 */
public class CourseType {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "机构编号",required = false)
	private Integer organId;
	
	/**  */
	@ApiModelProperty(value = "课程类型名称",required = false)
	private String name;
	
	/** 支持的课时时间（多个用|分隔） */
	@ApiModelProperty(value = "支持的课时时间（多个用|分隔）",required = false)
	private String supportPeriods;
	
	/**  */
	private YesOrNoEnum delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	@ApiModelProperty(value = "描述",required = false)
	private String description;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSupportPeriods(String supportPeriods){
		this.supportPeriods = supportPeriods;
	}
	
	public String getSupportPeriods(){
		return this.supportPeriods;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
