package com.ym.mec.web.service.impl;

import com.ym.mec.web.dal.utilEntity.CourseGroupUtilEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.CourseGroupDao;
import com.ym.mec.web.dal.entity.CourseGroup;
import com.ym.mec.web.service.CourseGroupService;

import java.util.List;

@Service
public class CourseGroupServiceImpl extends BaseServiceImpl<Integer, CourseGroup>  implements CourseGroupService {
	
	@Autowired
	private CourseGroupDao courseGroupDao;

	@Override
	public BaseDAO<Integer, CourseGroup> getDAO() {
		return courseGroupDao;
	}

	@Override
	public List<CourseGroupUtilEntity> findDetailById(Integer id) {
		return courseGroupDao.findDetailById(id);
	}
}