package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.CourseTypeDao;
import com.ym.mec.web.dal.entity.CourseType;
import com.ym.mec.web.service.CourseTypeService;

@Service
public class CourseTypeServiceImpl extends BaseServiceImpl<Integer, CourseType>  implements CourseTypeService {
	
	@Autowired
	private CourseTypeDao courseTypeDao;

	@Override
	public BaseDAO<Integer, CourseType> getDAO() {
		return courseTypeDao;
	}
	
}