package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.SchoolDao;
import com.ym.mec.web.dal.entity.School;
import com.ym.mec.web.service.SchoolService;

@Service
public class SchoolServiceImpl extends BaseServiceImpl<Integer, School>  implements SchoolService {
	
	@Autowired
	private SchoolDao schoolDao;

	@Override
	public BaseDAO<Integer, School> getDAO() {
		return schoolDao;
	}
	
}